% Metodo de la potencia inversa para
% el calculo de autovalores
% Uso: [autovalor,autovector]=potinv(A,autovector,q,maxiter)
%
% Jose Garcia Pullido

function [s,x]=potinv(A,x,q,n)
% s= autovalor de inv(A-q*I)
% x= autovector de inv(A-q*I)
[m h]=size(A);
k=1;
p=ones(m,1);
T=[p];
x=x/norm(x,inf);
z=inv(A-q*eye(size(A)));
while(k<n)
	y=z*x; 
	s=norm(y,inf)
	x=y/s
	T=[T x];
	k=k+1;
end
