% Formula de derivacion centrada de tres puntos
% Aproxima la derivada segunda de la funcin en un punto
% Uso: sol=der2c3p(funcion,alfa,h)
%
% (C) - Carlos Garcia Argos, 6/VI/2000

function [fp]=der2c3p(f,alfa,h)
  if nargin<2
     disp('Error: faltan argumentos de entrada');
     return;
  else
     if nargin<3
        h=0.01;
     end;
  end;
  fp=(feval(f,alfa-h)-2*feval(f,alfa)+feval(f,alfa+h))/h^2;

