% Formula de derivacion centrada de cinco puntos
% Aproxima la derivada segunda de la funcin en un punto
% Uso: sol=der2c5p(funcion,alfa,h)
%
% (C) - Carlos Garcia Argos, 6/VI/2000

function [fp]=der2c5p(f,alfa,h)
  if nargin<2
     disp('Error: faltan argumentos de entrada');
     return;
  else
     if nargin<3
        h=0.5;
     end;
  end;
  fp=(-feval(f,alfa-2*h)+16*feval(f,alfa-h)-30*feval(f,alfa)+16*feval(f,alfa+h)-feval(f,alfa+2*h))/(12*h^2);

