% Formula de derivacion centrada de dos puntos
% Aproxima la derivada primera de la funcin en un punto
% Uso: sol=dercen2p(funcion,alfa,h)
%
% (C) - Carlos Garcia Argos, 6/VI/2000

function [fp]=dercen2p(f,alfa,h)
  if nargin<2
     disp('Error: faltan argumentos de entrada');
     return;
  else
     if nargin<3
        h=0.5;
     end;
  end;
  fp=(-feval(f,alfa-h)+feval(f,alfa+h))/(2*h);

