% Formula de derivacion regresiva de tres puntos
% Aproxima la derivada primera de la funcin en un punto
% Uso: sol=derivr3p(funcion,alfa,h)
%
% (C) - Carlos Garcia Argos, 6/VI/2000

function [fp]=derivr3p(f,alfa,h)
  if nargin<2
     disp('Error: faltan argumentos de entrada');
     return;
  else
     if nargin<3
        h=0.5;
     end;
  end;
  fp=(feval(f,alfa-2*h)-4*feval(f,alfa-h)+3*feval(f,alfa))/(2*h);

