% Ecuaciones Diferenciales Ordinarias y Sistemas (Mtodos Multipaso)
%
%    Funciones by BoKeRoN  (C) 2000-2001
%   <=> http://www.telecos-malaga.com <=>
%
% Metodos multipaso para EDOs y sistemas
%
% * Metodos de Adams-Bashforth
%   - adbash2: metodo de orden 2 y 2 pasos
%   - adbash3: metodo de orden 3 y 3 pasos
%   - adbash4: metodo de orden 4 y 4 pasos
%   - adbash5: metodo de orden 5 y 5 pasos
%
% * Metodos de Adams-Moulton
%   - admoul2: metodo de orden 3 y 2 pasos
%   - admoul3: metodo de orden 4 y 3 pasos
%   - admoul4: metodo de orden 5 y 4 pasos
%   - admoul5: metodo de orden 6 y 5 pasos
%
% * Otros metodos
%   - milne: metodo de Milne (predictor-corrector)
%   - edohermi: metodo de Hermite de dos pasos
%   - hamming: metodo predictor-corrector de Hamming
%              de cuarto orden
%
% Las condiciones iniciales se dan como un vector:
%  [y(x0);y(x1);...;y(xn)]
%