% Metodo de Boole para integracion numerica
% de funciones
% Uso: sol=boole(funcion,a,b)
%
% (C) - Carlos Garcia Argos 6/VI/2000

function [ys]=boole(f,a,b)
   if nargin<3
      disp('Faltan argumentos de entrada');
      return;
   end;

   h=(b-a)/4;
   c=a+h;
   d=c+h;
   e=d+h;

   ys=(7*feval(f,a)+32*feval(f,c)+12*feval(f,d)+32*feval(f,e)+7* feval(f,b))*(2*h/45);
