% Metodo de integracion numerica de Newton-Cotes
% Formula abierta con 2 puntos
% Uso: sol=intab2(funcion,a,b)
%
% (C) - Carlos Garcia Argos 6/VI/2000

function [ys]=intab2(f,a,b)
   if nargin<3
      disp('Faltan argumentos de entrada');
      return;
   end;

   h=(b-a)/3;

   ys=(3*h/2)*(feval(f,a+h)+feval(f,a+2*h));
