% Metodo de Simpson 3/8 para integracion numerica
% de funciones
% Uso: sol=simpso38(funcion,a,b)
%
% (C) - Carlos Garcia Argos 6/VI/2000

function [ys]=simpson(f,a,b)
   if nargin<3
      disp('Faltan argumentos de entrada');
      return;
   end;

   h=(b-a)/3;
   c=a+h;
   d=c+h;

   ys=(feval(f,a)+3*feval(f,c)+3*feval(f,d)+feval(f,b))*(3*h/8);
