% Metodo de los trapecios para integracion numerica
% de funciones
% Uso: sol=trapecio(funcion,a,b)
%
% (C) - Carlos Garcia Argos 6/VI/2000

function [ys]=trapecio(f,a,b)
   if nargin<3
      disp('Faltan argumentos de entrada');
      return;
   end;

   h=b-a;
   ys=(feval(f,a)+feval(f,b))*(h/2);
