% Implementacion de metodos para Problemas
% de Valores de Contorno
% Metodo de diferencias finitas
%
% Uso: [ts,ys,zs,yzbs]=diffin(funcion,inicio,fin,alfa,beta,h,maxiter,ys0,tol)
%
% (C) - Carlos Garcia Argos 20/VIII/2001
% Extraido de la prctica 3
%


function [ts,ys]=diffin(func,a,b,alfa,beta,h,maxiter,ys0,tol)
ts = a+h:h:b-h; 
N = length(ts); 
temp = feval(func,ts);
dinf = -1-(h/2)*temp(1,2:N);
dpri = 2+h^2*temp(2,:);
dsup = -1+(h/2)*temp(1,1:N-1);
bsis = -h^2*temp(3,:)';
bsis(1) = bsis(1) + (1+(h/2)*temp(1,1))*alfa;
bsis(N) = bsis(N) + (1-(h/2)*temp(1,N))*beta;
if maxiter==0
   ys=crotridi(dinf,dsup,dpri,bsis);
else
   ys=gstridi(dinf,dsup,dpri,bsis,maxiter,ys0',tol);
end;
ts=[a,ts,b]; 
ys=[alfa,ys',beta];

