% Metodo de Le-Verrier para el calculo del polinomio
% caracteristico de una matriz para hallar sus
% autovalores.
% Uso: polinomio=leverrie(A)
%
% Jose Garcia Pullido
function y=leverrie(A)
   [m,n]=size(A);
   for k=1:n
      s(k)=trace(A^k);
   end;
   p(1)=-s(1);
   a=zeros(1,n);
   for k=2:n
      for l=1:k-1
         a(k)=a(k)+s(k-l)*p(l);
      end;
      p(k)=-(1/k)*(s(k)+a(k));
   end;
   y=(-1)^n*[1 p];
	

		
