% ALGORITMO PARA EL METODO DE LA POTENCIA
% Uso: [avalor,avector]=potencia(A,tolerancia)
%
% Autor original: Jose Garcia Pullido
% Modificacion: Carlos Garcia Argos

function [vl,vc]=potencia(a,tol);

   if nargin<2
      tol=1e-5;
   end;
   [m n]=size(a);
   p=zeros(m,1);
   y=ones(m,1);
   z=a*y;
   A=[y]; % aqu voy a mostrar la secuencia de autovectores para ver si hay
          % cambio de signo         

   while abs(norm(z,inf)-norm(p,inf))>tol 
      p=z;
      y=z/norm(z,inf);
      z=a*y;
      A=[A y];
   end;

   vl=norm(z,inf);
   vc=y;
