% Formula de derivacion centrada de cuatro puntos
% Aproxima la derivada tercera de la funcin en un punto
% Uso: sol=der3c4p(funcion,alfa,h)
%
% (C) - Carlos Garcia Argos, 6/VI/2000

function [fp]=der3c4p(f,alfa,h)
  if nargin<2
     disp('Error: faltan argumentos de entrada');
     return;
  else
     if nargin<3
        h=0.5;
     end;
  end;
  fp=(-feval(f,alfa-2*h)+2*feval(f,alfa-h)-2*feval(f,alfa+h)+feval(f,alfa+2*h))/(2*h^3);

