% Formula de derivacion progresiva de cinco puntos
% Aproxima la derivada primera de la funcin en un punto
% Uso: sol=derivp5p(funcion,alfa,h)
%
% (C) - Carlos Garcia Argos, 6/VI/2000

function [fp]=derivp5p(f,alfa,h)
  if nargin<2
     disp('Error: faltan argumentos de entrada');
     return;
  else
     if nargin<3
        h=0.5;
     end;
  end;
  fp=(-25*feval(f,alfa)+48*feval(f,alfa+h)-36*feval(f,alfa+2*h)+16*feval(f,alfa+3*h)-3*feval(f,alfa+4*h))/(12*h);

