% Ecuaciones Diferenciales Ordinarias y Sistemas (Mtodos Unipaso)
%
%    Funciones by BoKeRoN  (C) 2000-2001
%   <=> http://www.telecos-malaga.com <=>
%
% Metodos unipaso para EDOs y sistemas
%
% * Metodos RK22
%    - edpmedio: Metodo del punto medio
%    - eulermod: Metodo de Euler modificado 
%    - heun: Metodo de Heun
%
% * Metodos RK33
%    - kutta3: Metodo de Kutta de tercer orden
%    - nystrom: Metodo de Nystrom
%
% * Metodos RK44
%    - rkc4: Metodo de Runge-Kutta de cuarto orden
%    - kutta4: Metodo de Kutta de cuarto orden
%
% * Metodos RK56
%    - rk56a: un metodo de quinto orden
%    - rk56b: otro metodo de quinto orden
%
% Las condiciones iniciales se dan como un vector:
%  [y(x0);y(x1);...;y(xn)]
%