% Metodo de integracion numerica de Newton-Cotes
% Formula abierta con 3 puntos
% Uso: sol=intab3(funcion,a,b)
%
% (C) - Carlos Garcia Argos 6/VI/2000

function [ys]=intab3(f,a,b)
   if nargin<3
      disp('Faltan argumentos de entrada');
      return;
   end;

   h=(b-a)/4;

   ys=(4*h/3)*(2*feval(f,a+h)-feval(f,a+2*h)+2*feval(f,a+3*h));
