% Metodo de integracion numerica de Newton-Cotes
% Formula abierta con 4 puntos
% Uso: sol=intab4(funcion,a,b)
%
% (C) - Carlos Garcia Argos 6/VI/2000

function [ys]=intab4(f,a,b)
   if nargin<3
      disp('Faltan argumentos de entrada');
      return;
   end;

   h=(b-a)/5;

   ys=(5*h/24)*(11*feval(f,a+h)+feval(f,a+2*h)+feval(f,a+3*h)+11*feval(f,a+4*h));
