% Metodo de Simpson para integracion numerica
% de funciones
% Uso: sol=simpson(funcion,a,b)
%
% (C) - Carlos Garcia Argos 6/VI/2000

function [ys]=simpson(f,a,b)
   if nargin<3
      disp('Faltan argumentos de entrada');
      return;
   end;

   h=(b-a)/2;
   c=(b-a)/2;

   ys=(feval(f,a)+4*feval(f,a+c)+feval(f,b))*(h/3);
